| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
LTC2442_Datalogger.ino File Reference

Go to the source code of this file.

## Functions
static void | read_LTC2442 (float vref, uint16_t eoc_timeout, uint16_t channel_delay)
| Reads the LTC2442 and displays the results. More...
static void | print_raw (int32_t *rawresults)
static void | print_all (float *floatresults)
| Displays the the data in the array. More...
static void | print_prompt ()
| Print the Prompt. More...
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...

## Macros
#define | CS QUIKEVAL_CS
| LTC2442: 24-Bit High Speed 4-Channel Delta Sigma ADCs with Integrated Amplifier. More...
#define | FLOATING

## Variables
const uint8_t | CHANNEL_ARRAY [2] = {LTC24XX_MULTI_CH_P0_N1, LTC24XX_MULTI_CH_P2_N3}
| Build the command for differential mode. More...
const uint8_t | OSR = LTC24XX_MULTI_CH_OSR_16384
static float | LTC2442_vref = 5.0
static uint16_t | EOC_timout = 250
static uint16_t | loop_delay = 0
static uint16_t | channel_read_delay = 0
static uint8_t | array_size = sizeof(CHANNEL_ARRAY)

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 148 of file LTC2442_Datalogger.ino.

## ◆ print_all()

static void print_all | ( | float * | results | ) |
| static

Displays the the data in the array.

Definition at line 218 of file LTC2442_Datalogger.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Print the Prompt.

Definition at line 179 of file LTC2442_Datalogger.ino.

## ◆ print_raw()

static void print_raw | ( | int32_t * | rawresults | ) |
| static

Definition at line 229 of file LTC2442_Datalogger.ino.

## ◆ read_LTC2442()

static void read_LTC2442 | ( | float | vref,
|  | uint16_t | eoc_timeout,
|  | uint16_t | channel_delay
| ) |  |
| static

Reads the LTC2442 and displays the results.

Definition at line 190 of file LTC2442_Datalogger.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 124 of file LTC2442_Datalogger.ino.

## Macro Definition Documentation

## ◆ CS

#define CS QUIKEVAL_CS

LTC2442: 24-Bit High Speed 4-Channel Delta Sigma ADCs with Integrated Amplifier.

    The LTC2442 is a 4-channel (2-differential) high speed 24-bit No Latency Delta Sigma ADCs.
    They use a proprietary delta-sigma architecture enabling variable speed/resolution. Through
    a simple 4-wire serial interface, ten speed/resolution combinations 6.9Hz/280nVRMS to
    3.5kHz/25uVRMS (4kHz with external oscillator) can be selected with no latency between
    conversion results or shift in DC accuracy (offset, full-scale, linearity, drift).
    Additionally, a 2X speed mode can be selected enabling output rates up to 7kHz (8kHz if an
    external oscillator is used) with one cycle latency.

http://www.linear.com/product/LTC2442

http://www.linear.com/product/LTC2442#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.The chip select

Definition at line 66 of file LTC2442_Datalogger.ino.

## ◆ FLOATING

#define FLOATING

Definition at line 102 of file LTC2442_Datalogger.ino.

## Variable Documentation

## ◆ array_size

uint8_t array_size = sizeof(CHANNEL_ARRAY)
| static

Definition at line 114 of file LTC2442_Datalogger.ino.

## ◆ CHANNEL_ARRAY

const uint8_t CHANNEL_ARRAY[2] = {LTC24XX_MULTI_CH_P0_N1, LTC24XX_MULTI_CH_P2_N3}

Build the command for differential mode.

Definition at line 77 of file LTC2442_Datalogger.ino.

## ◆ channel_read_delay

uint16_t channel_read_delay = 0
| static

Definition at line 99 of file LTC2442_Datalogger.ino.

## ◆ EOC_timout

uint16_t EOC_timout = 250
| static

Definition at line 97 of file LTC2442_Datalogger.ino.

## ◆ loop_delay

uint16_t loop_delay = 0
| static

Definition at line 98 of file LTC2442_Datalogger.ino.

## ◆ LTC2442_vref

float LTC2442_vref = 5.0
| static

Definition at line 96 of file LTC2442_Datalogger.ino.

## ◆ OSR

const uint8_t OSR = LTC24XX_MULTI_CH_OSR_16384

Definition at line 86 of file LTC2442_Datalogger.ino.